AncestorAnalyzer (Apache Ant API)
Keywords: org.apache.tools.ant.util.depend.bcel.AncestorAnalyzer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util.depend.bcel
Class AncestorAnalyzer

    java.lang.Object
      org.apache.tools.ant.util.depend.AbstractAnalyzer
          org.apache.tools.ant.util.depend.bcel.AncestorAnalyzer

All Implemented Interfaces:
  DependencyAnalyzer

    public class AncestorAnalyzer

extends AbstractAnalyzer

A dependency analyzer which returns superclass and superinterface dependencies.

Field Summary

Fields inherited from class org.apache.tools.ant.util.depend.AbstractAnalyzer
`MAX_LOOPS`

Constructor Summary
`AncestorAnalyzer()` Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

Method Summary
`protected void` | `determineDependencies(java.util.Vector files, java.util.Vector classes)` Determine the dependencies of the configured root classes.
`protected boolean` | `supportsFileDependencies()` Indicate if this analyzer can determine dependent files.

Methods inherited from class org.apache.tools.ant.util.depend.AbstractAnalyzer
`addClassPath, addRootClass, addSourcePath, config, getClassContainer, getClassDependencies, getFileDependencies, getRootClasses, getSourceContainer, isClosureRequired, reset, setClosure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AncestorAnalyzer

    public AncestorAnalyzer()

  Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

Method Detail

### determineDependencies

    protected void determineDependencies(java.util.Vector files,
                                         java.util.Vector classes)

  Determine the dependencies of the configured root classes.

  Specified by:
    `determineDependencies` in class `AbstractAnalyzer`
  Parameters:
    `files` - a vector to be populated with the files which contain the dependency classes
    `classes` - a vector to be populated with the names of the depencency classes.

### supportsFileDependencies

    protected boolean supportsFileDependencies()

  Indicate if this analyzer can determine dependent files.

  Specified by:
    `supportsFileDependencies` in class `AbstractAnalyzer`
  Returns:
    true if the analyzer provides dependency file information.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD